summaryrefslogtreecommitdiffstats
path: root/network/dukto
diff options
context:
space:
mode:
Diffstat (limited to 'network/dukto')
-rw-r--r--network/dukto/README8
-rw-r--r--network/dukto/doinst.sh3
-rw-r--r--network/dukto/dukto.SlackBuild80
-rw-r--r--network/dukto/dukto.info10
-rw-r--r--network/dukto/slack-desc19
5 files changed, 120 insertions, 0 deletions
diff --git a/network/dukto/README b/network/dukto/README
new file mode 100644
index 0000000000..657cd92b20
--- /dev/null
+++ b/network/dukto/README
@@ -0,0 +1,8 @@
+dukto (simple file transfer tool for LAN users)
+
+Dukto is an easy file transfer tool designed for LAN use. Transfer
+files from one PC (or other device) to another, without worrying about
+users, permissions, operating systems, protocols, clients, servers and
+so on. Just start Dukto on the two PCs and transfer files and folders
+by dragging onto its window. That's all. Dukto available on Linux,
+Android, OSX, IOS, Windows and Windows Phone.
diff --git a/network/dukto/doinst.sh b/network/dukto/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/network/dukto/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/network/dukto/dukto.SlackBuild b/network/dukto/dukto.SlackBuild
new file mode 100644
index 0000000000..73d57be48a
--- /dev/null
+++ b/network/dukto/dukto.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+# Slackware build script for Dukto
+
+# Copyright 2016 Andre Fernando, Indonesia
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=dukto
+VERSION=${VERSION:-6.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+SRCVER=${VERSION}-1
+
+case "$ARCH" in
+ i?86) SRCARCH=i386 ;;
+ x86_64) SRCARCH=amd64 ;;
+ *) printf "\n\n$ARCH is not supported.\n"; exit 1 ;;
+esac
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+mkdir -p $PRGNAM
+cd $PRGNAM
+ar -x $CWD/${PRGNAM}_${SRCVER}_${SRCARCH}.deb
+tar xvf data.tar.xz -C $PKG
+cd $PKG
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/dukto/dukto.info b/network/dukto/dukto.info
new file mode 100644
index 0000000000..e2c40ea977
--- /dev/null
+++ b/network/dukto/dukto.info
@@ -0,0 +1,10 @@
+PRGNAM="dukto"
+VERSION="6.0"
+HOMEPAGE="http://msec.it/blog/?page_id=11"
+DOWNLOAD="http://download.opensuse.org/repositories/home:/colomboem/xUbuntu_16.04/i386/dukto_6.0-1_i386.deb"
+MD5SUM="2f71d86c9e90da470229107a0c5d6e67"
+DOWNLOAD_x86_64="http://download.opensuse.org/repositories/home:/colomboem/xUbuntu_16.04/amd64/dukto_6.0-1_amd64.deb"
+MD5SUM_x86_64="f66aab0eb41887e0083f4645e2a85642"
+REQUIRES=""
+MAINTAINER="Andre Fernando"
+EMAIL="ando344@gmail.com"
diff --git a/network/dukto/slack-desc b/network/dukto/slack-desc
new file mode 100644
index 0000000000..a1c69cd0e9
--- /dev/null
+++ b/network/dukto/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+dukto: dukto (simple file transfer tool for LAN users)
+dukto:
+dukto: Dukto is an easy file transfer tool designed for LAN use. Transfer
+dukto: files from one PC (or other device) to another, without worrying about
+dukto: users, permissions, operating systems, protocols, clients, servers and
+dukto: so on. Just start Dukto on the two PCs and transfer files and folders
+dukto: by dragging onto its window. Dukto available on Linux, Android, OSX,
+dukto: IOS, Windows and Windows Phone
+dukto:
+dukto: Homepage: http://www.msec.it/blog/?page_id=11
+dukto: